WaveExtensibleFMT Struct Reference

`#include <SDL_wave.h>`

Collaboration diagram for WaveExtensibleFMT:
[legend]

## Data Fields

WaveFMT | format
Uint16 | size
Uint16 | validbits
Uint32 | channelmask
Uint8 | subformat [16]

## Detailed Description

Definition at line 68 of file SDL_wave.h.

## Field Documentation

## channelmask

Uint32 WaveExtensibleFMT::channelmask

Definition at line 73 of file SDL_wave.h.

## format

WaveFMT WaveExtensibleFMT::format

Definition at line 70 of file SDL_wave.h.

## size

Uint16 WaveExtensibleFMT::size

Definition at line 71 of file SDL_wave.h.

Referenced by SDL_LoadWAV_RW().

## subformat

Uint8 WaveExtensibleFMT::subformat[16]

Definition at line 74 of file SDL_wave.h.

Referenced by SDL_LoadWAV_RW().

## validbits

Uint16 WaveExtensibleFMT::validbits

Definition at line 72 of file SDL_wave.h.

The documentation for this struct was generated from the following file:

- src/audio/SDL_wave.h